#include <QtGui>
#include <QtWebKit/QWebView>
#include <QtNetwork/QNetworkProxyFactory>

#define urlstr "http://facebook.com"

int main(int argc, char **argv)
{
    QApplication app(argc, argv);
    QNetworkProxyFactory::setUseSystemConfiguration(true);
    QWebView *webview = new QWebView();
    // javascript is enabled by default
    //webview->settings()->setAttribute(QWebSettings::JavascriptEnabled, true);
    webview->settings()->setAttribute(QWebSettings::DeveloperExtrasEnabled, true);
    QStringList args = QCoreApplication::arguments();
    QUrl url = QUrl(urlstr);
    if (args.count() > 1)
	url = QUrl(args[1]);
    webview->load(url);
    webview->show();

    return app.exec();
}
